commoble.looot.data

## Class EnchantmentNameLimitManager

- java.lang.Object
- - net.minecraft.client.resources.ReloadListener<java.util.Map<net.minecraft.util.ResourceLocation,FINE>>
  - - commoble.looot.data.MergeableCodecDataManager<EnchantmentNameLimits,java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer>>
    - - commoble.looot.data.EnchantmentNameLimitManager

All Implemented Interfaces:
  net.minecraft.resources.IFutureReloadListener

    public class EnchantmentNameLimitManager
    extends MergeableCodecDataManager<EnchantmentNameLimits,java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer>>

### Nested Class Summary

### Nested classes/interfaces inherited from interface net.minecraft.resources.IFutureReloadListener

`net.minecraft.resources.IFutureReloadListener.IStage`

### Field Summary

Fields
`static java.lang.String` `FOLDER_NAME`
`it.unimi.dsi.fastutil.objects.Object2IntOpenHashMap<net.minecraft.enchantment.Enchantment>` `limits`

### Fields inherited from class commoble.looot.data.MergeableCodecDataManager

`data, folderName, JSON_EXTENSION, JSON_EXTENSION_LENGTH, STANDARD_GSON`

### Constructor Summary

Constructors
Constructor and Description
`EnchantmentNameLimitManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `apply(java.util.Map<net.minecraft.util.ResourceLocation,java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer>> processedData, net.minecraft.resources.IResourceManager resourceManager, net.minecraft.profiler.IProfiler profiler)` Main-thread processing, runs after prepare concludes

### Methods inherited from class commoble.looot.data.MergeableCodecDataManager

`prepare, subscribeAsSyncable`

### Methods inherited from class net.minecraft.client.resources.ReloadListener

`reload`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.resources.IFutureReloadListener

`getSimpleName`

### Field Detail

#### FOLDER_NAME

    public static final java.lang.String FOLDER_NAME

See Also:
  Constant Field Values

#### limits

    @Nonnull
    public it.unimi.dsi.fastutil.objects.Object2IntOpenHashMap<net.minecraft.enchantment.Enchantment> limits

### Constructor Detail

#### EnchantmentNameLimitManager

    public EnchantmentNameLimitManager()

### Method Detail

#### apply

    protected void apply(java.util.Map<net.minecraft.util.ResourceLocation,java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer>> processedData,
                         net.minecraft.resources.IResourceManager resourceManager,
                         net.minecraft.profiler.IProfiler profiler)

Description copied from class: `MergeableCodecDataManager`
Main-thread processing, runs after prepare concludes

Overrides:
  `apply` in class `MergeableCodecDataManager<EnchantmentNameLimits,java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer>>`